<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaSalaDelUsuarioMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}
</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>REPORTE RESUMEN DE ATENCIÓN DE USUARIOS - SALA DEL USUARIO - SEDE SAN BORJA</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Sala de Atención al Usuario</li>
		<li>Reporte Resumen de Atención de Usuarios</li>
	</ui:define>
	<!-- administrador por BNP -->
	<ui:define name="content">
        #{bandejaReportesMB.validarSesion()}
        #{bandejaReportesMB.iniciarReporteResumenAtencionSalaUsuario()}
	    <div class="row">
			<h:form id="frmReporte">
				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb">
							<div class="col-sm-12">
								<label class="control-label"><b>Filtro de Búsqueda</b></label>
							</div>
						</div>

						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-6">
									<div class="form-group">
										<h:outputLabel for="fechaTramiteDesde" value="Periodo Inicio : " styleClass="control-label"></h:outputLabel>
										<div class="input-group">
										<p:calendar value="#{bandejaReportesMB.filtroBase.rangoFechaDesde}" id="fechaTramiteDesde" popupIconOnly="true"  pattern="yyyy-MM" widgetVar="wvfechaTramiteDesde" locale="es" maxdate="#{bandejaReportesMB.fechaActual}" />
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
								<div class="col-sm-6">
									<div class="form-group">
										<h:outputLabel for="fechaTramiteHasta" value="Periodo Fin : " styleClass="control-label"></h:outputLabel>
										<div class="input-group">
										<p:calendar value="#{bandejaReportesMB.filtroBase.rangoFechaHasta}" id="fechaTramiteHasta" popupIconOnly="true"  pattern="yyyy-MM" widgetVar="wvfechaTramiteHasta" locale="es" maxdate="#{bandejaReportesMB.fechaActual}" />
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
							</div>
							<br />
							<div class="row box-mb">
								<div	class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
									<p:commandButton id="idBuscar" value="Buscar"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										actionListener="#{bandejaReportesMB.obtenerReporteResumenAtencionSalaUsuario}"
										update="frmReporte" ajax="true" />

									<p:commandButton id="idLimpiar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Limpiar"
										actionListener="#{bandejaReportesMB.limpiarFiltroReporteResumenAtencionSalaUsuario}"
										icon="icon-limpiar" update="frmReporte" ajax="true" />
										
									<p:commandButton styleClass="btn btn-default btn-sensitive btn-buscar" 
										value="Exportar" ajax="false" 
										actionListener="#{bandejaReportesMB.exportarReporteResumenAtencionSalaUsuario}"
										update="frmReporte" />    											
								</div>
							</div>

						</p:fieldset>
						<!-- *************************************************************************************************************************** -->
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12">
								<label class="control-label"><b>Registros
										Encontrados</b></label>
							</div>
						</div>
 
						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas2" var="registro"
										value="#{bandejaReportesMB.listaReporteResumenAtencionSalaUsuario}"
										rowKey="#{registro.id}" paginator="true" scrollable="true"  
										rowIndexVar="item" paginatorPosition="bottom" rows="100"
										style="text-align:center;" emptyMessage="No existen registros">
										<p:column headerText="Año" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.year}" />
										</p:column>
										<p:column headerText="Mes" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.mes}" />
										</p:column>
										<p:column headerText="Tipo de usuario" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.tipoUsuario}" />
										</p:column>										
										<p:column headerText="Tipo de Registro" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.tipoRegistro}" />
										</p:column>										
										<p:column headerText="Origen" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.origen}" />
										</p:column>										
										<p:column headerText="1" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia01}" />
										</p:column>										
										<p:column headerText="2" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia02}" />
										</p:column>										
										<p:column headerText="3" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia03}" />
										</p:column>										
										<p:column headerText="4" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia04}" />
										</p:column>										
										<p:column headerText="5" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia05}" />
										</p:column>										
										<p:column headerText="6" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia06}" />
										</p:column>										
										<p:column headerText="7" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia07}" />
										</p:column>										
										<p:column headerText="8" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia08}" />
										</p:column>										
										<p:column headerText="9" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia09}" />
										</p:column>										
										<p:column headerText="10" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia10}" />
										</p:column>										
										<p:column headerText="11" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia11}" />
										</p:column>										
										<p:column headerText="12" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia12}" />
										</p:column>										
										<p:column headerText="13" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia13}" />
										</p:column>										
										<p:column headerText="14" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia14}" />
										</p:column>										
										<p:column headerText="15" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia15}" />
										</p:column>										
										<p:column headerText="16" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia16}" />
										</p:column>										
										<p:column headerText="17" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia17}" />
										</p:column>										
										<p:column headerText="18" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia18}" />
										</p:column>										
										<p:column headerText="19" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia19}" />
										</p:column>										
										<p:column headerText="20" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia20}" />
										</p:column>										
										<p:column headerText="21" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia21}" />
										</p:column>										
										<p:column headerText="22" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia22}" />
										</p:column>										
										<p:column headerText="23" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia23}" />
										</p:column>										
										<p:column headerText="24" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia24}" />
										</p:column>										
										<p:column headerText="25" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia25}" />
										</p:column>										
										<p:column headerText="26" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia26}" />
										</p:column>										
										<p:column headerText="27" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia27}" />
										</p:column>										
										<p:column headerText="28" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia28}" />
										</p:column>										
										<p:column headerText="29" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia29}" />
										</p:column>										
										<p:column headerText="30" style="width:5px;text-aling:center;" >
											<h:outputText value="#{registro.dia30}" />
										</p:column>										
										<p:column headerText="31" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.dia31}" />
										</p:column>										
										<p:column headerText="Total" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.totalFila}" />
										</p:column>										
									</p:dataTable>

								</div>
							</div>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
				</div>
			</h:form>
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>

	</ui:define>

</ui:composition>